%define aurox_ver 10.0
%define rel 1


%define version   1.0.5
#define pretag    rc2
#define cvsdate   20031208.031217

%define release    %{aurox_ver}.aur.%{rel}%{?pretag:.%{pretag}}%{?cvsdate:.cvs}
%define tarversion %{?cvsdate:%{cvsdate}}%{!?cvsdate:%{version}%{?pretag}}

%define progs    ac3dec as10k1 envy24control hdspconf hdsploader hdspmixer mixartloader rmedigicontrol seq/sbiload sb16_csp sscape_ctl us428control usx2yloader vxloader

Summary:       The Advanced Linux Sound Architecture (ALSA) tools
Name:          alsa-tools
Version:       %{version}
Release:       %{release}
Copyright:     GPL
Group:         System Environment/Base
Source:        ftp://ftp.alsa-project.org/pub/lib/alsa-tools-%{tarversion}.tar.bz2
URL:           http://www.alsa-project.org
BuildRoot:     %{_tmppath}/%{name}-root
Requires:      alsa-lib >= %{version} fltk >= 1.1
BuildRequires: alsa-lib-devel >= %{version} fltk-devel >= 1.1.4

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features: Efficient support for all types of audio interfaces,
from consumer soundcards to professional multichannel audio interfaces,
fully modularized sound drivers, SMP and thread-safe design, user space
library (alsa-lib) to simplify application programming and provide higher
level functionality as well as support for the older OSS API, providing
binary compatibility for most OSS programs.

This package includes the ALSA tools, including envy24control, ac3dec,
as10k1, sbiload, sb16_csp and vxloader.

%if "%{cvsdate}" != "%{nil}"
This package is based on the experimental CVS version of alsa
downloaded on %{cvsdate}. Handle with care. 
%endif

%prep
%setup -q -n alsa-tools-%{version}%{?pretag}
%if "%{cvsdate}" != "%{nil}"
#patch0 -p1
%endif

%build

PROGS="%{progs}"
for dir in $PROGS ; do
    cd $dir
    if [ -x "./cvscompile" ] ; then
        CVSCOMPILE_NO_MAKE=1 CVSCOMPILE_NO_CONFIGURE=1 ./cvscompile
    fi
    %configure
    make
    cd %{_builddir}/alsa-tools-%{version}%{?pretag}
done

%install
rm -rf $RPM_BUILD_ROOT

PROGS="%{progs}"
for dir in $PROGS ; do
    cd $dir
    make DESTDIR=$RPM_BUILD_ROOT install
    cd %{_builddir}/alsa-tools-%{version}%{?pretag}
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/*
%{_mandir}/man1/*
%{_sysconfdir}/hotplug/usb/tascam*
%{_datadir}/applications/hdsp*
%{_datadir}/pixmaps/hdsp*

%changelog
* Wed Jul 28 2004 Aurox Team <aurox@aurox.org> 0:1.0.5-10.0.aur.1
- version 1.0.5

* Sun Dec  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1.rc2.cvs
- cvs: 12/07/2003
* Mon Dec  1 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1.rc1.cvs
- cvs: 12/01/2003
* Thu Nov 27 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1.pre3.cvs
* Wed Nov 19 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1.pre1
- updated to 1.0.0pre1
* Thu Nov  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.8-2.cvs
- cvs: 11/06/2003
* Tue Oct 28 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.8-1.cvs
- cvs: 10/28/2003
- added us428control and usx2yloader to program list
* Tue Sep 30 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.7-1.cvs
- cvs: 09/30/2003
* Mon Sep  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.6-2.cvs
- cvs: 08/25/2003
* Sat Aug  9 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.6-1.cvs
- cvs: 08/09/2003
* Wed Aug  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.6-1.cvs
- cvs: 08/06/2003, version 0.9.6
- added target to release tag
* Tue Jun  3 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.4-1.cvs
- cvs: 06/03/2003
* Sun Jun  1 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.4-1.cvs
- cvs: 06/01/2003
* Wed Apr  9 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-5.cvs
- cvs: 03/09/2003
- added hdsploader to list of programs
* Thu Mar 27 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-4.cvs
- cvs: 03/27/2003
* Mon Mar 24 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-3.cvs
- cvs: 03/24/2003
* Fri Mar 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-2.cvs
- cvs: 03/21/2003
* Tue Mar 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1.cvs
- cvs: 0.9.1, 03/10/2003
* Wed Mar  5 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-45.2
- the location of vxloader firmware has changed...
* Tue Feb 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-45
- cvs: 02/18/2003, added vxloader to list of programs
* Mon Feb 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-44.2
- cvs: 02/17/2003
* Thu Feb  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-44.1
- cvs: 02/07/2003
* Mon Jan 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-44
- cvs: 01/21/2003
* Mon Jan 20 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-44
- cvs: 01/20/2003, overhaul of spec file
* Mon Dec 30 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-43.2
- cvs: 12/30/2002
* Wed Dec 11 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-43
- cvs: 12/11/2002
* Sun Dec  8 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-42
- cvs: 12/08/2002
* Thu Nov 18 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-41
- cvs: 11/18/2002
* Thu Oct 31 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-40
- cvs: 10/28/2002
* Tue Oct 15 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-39
- cvs: 10/15/2002
* Fri Aug 30 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-38
- cvs: 08/30/2002
* Tue Aug 20 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-37
- cvs: 08/20/2002
* Sun Jul 28 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-36
- cvs: 08/04/2002
* Fri Jul  5 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-33
- cvs: 07/05/2002
* Fri May 31 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-31.1
- cvs: 05/31/2002
* Wed May 15 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-30
- cvs: 05/15/2002
* Fri Apr 19 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-29
- cvs: 04/19/2002
* Fri Jan 25 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-26
- cvs: 01/25/2002
* Wed Jan  3 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-25
- cvs: 01/03/2002
* Wed Dec  5 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-23
- cvs: 12/05/2001 (post beta10)
* Mon Nov 26 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-22
- cvs: 11/26/2001 (post beta9)
* Sat Nov 24 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-21
- cvs: 11/24/2001 (post beta9)
* Fri Nov 23 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-20
- cvs: 11/23/2001 (post beta9)
* Tue Nov 21 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-19
- cvs: 11/21/2001 (post beta9)
* Tue Oct  2 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-18
- cvs: 10/02/2001
* Mon Sep 17 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-17
- cvs: 9/17/2001 [CVS-20010917-12.43.54]
- enabled seq/sbiload and sb_16_csp
- only need to depend on alsa-lib (alsa-lib depends on the rest)
* Fri Aug 31 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-16
- cvs: 8/31/2001
* Thu Aug 30 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-15
- cvs: 8/30/2001
* Wed Aug 22 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-14
- cvs: 8/22/2001
* Mon Aug 13 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-13
- cvs: 8/13/2001
* Wed Aug  8 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-12
- cvs: 8/08/2001
* Fri Jul 20 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-10
- cvs: 7/20/2001
* Tue Jul 18 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-9
- cvs: 7/18/2001
* Mon Jul  2 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-8
- cvs: 7/16/2001
* Mon Jul  2 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-7
- cvs: 7/05/2001
- added BuildRequires
* Mon Jul  2 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-6
- cvs: 7/02/2001
* Mon Jun 25 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-3
- cvs tools for 2.4.5-2, created spec file
- fixed strcmp in envy24control
- added $@ to cvscompile of ac3dec
